# is_constr_type

Returns if constraint type specified in mask is active.

unsigned char is_constr_type(lprec *lp, int row, int mask);

Return Value

is_constr_type returns TRUE or FALSE

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

row

The row for which the constraint type must be retrieved. Must be between 1 and number of rows in the lp.

mask

Any of the following values:

LE (1) | Less than or equal (<=)
EQ (3) | Equal (=)
GE (2) | Greater than or equal (>=)

Remarks

The is_constr_type function returns a flag if constraint type specified in mask is active.

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;
      unsigned char constr;

      /* Create a new LP model */
      lp = make_lp(1, 0);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      constr = is_constr_type(lp, 1, LE); /* will be TRUE */

      delete_lp(lp);
      return(0);
    }

lp_solve API reference

See Also make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI, get_constr_type, set_constr_type, add_constraint, add_constraintex, str_add_constraint, del_constraint